Create or update an org projection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
PUT /v1/admin/orgs/{org_id}

Path parameters

  • org_id string Required
application/json

Body Required

  • status string Required

    Lifecycle states for an org row.

    Mirrors the org_status Postgres enum created in the 356707790061_p0a_org_tenancy_orgs Alembic migration.

    Values are ACTIVE or SUSPENDED.

  • api_clients array[string] Required

Responses

  • 200 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • org_id string Required
    • status string Required

      Lifecycle states for an org row.

      Mirrors the org_status Postgres enum created in the 356707790061_p0a_org_tenancy_orgs Alembic migration.

      Values are ACTIVE or SUSPENDED.

    • api_clients array[string] Required
    • created_at string(date-time) Required
    • updated_at string(date-time) Required
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
PUT /v1/admin/orgs/{org_id}
curl \
 --request PUT 'http://api.example.com/v1/admin/orgs/{org_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"status":"ACTIVE","api_clients":["string"]}'
Request examples
{
  "status": "ACTIVE",
  "api_clients": [
    "string"
  ]
}
Response examples (200)
{
  "org_id": "string",
  "status": "ACTIVE",
  "api_clients": [
    "string"
  ],
  "created_at": "2026-05-04T09:42:00Z",
  "updated_at": "2026-05-04T09:42:00Z"
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}